library(ggplot2)
library(tidyr)
library(tibble)

#faili sisselugemine ja andmete formaadi korrigeerimine
J317=read.csv2("PT3-T3.1-J3.1.7.csv",header=TRUE, encoding ="UTF-8")
names(J317)[4]=names(J317)[3]
names(J317)[6]=names(J317)[5]
names(J317)[8]=names(J317)[7]
J317=as.data.frame(t(J317))
J317$V3[1]="Poisid"
J317$V5[1]="Tüdrukud"
names(J317)=paste(J317[1,],J317[2,])
names(J317)[1]="Vanus"
J317=rownames_to_column(J317,var="Peretüüp")
J317=J317[3:8,]
J317$Peretüüp=sub(".1","",J317$Peretüüp)
J317=pivot_longer(J317,3:6)

J317$value=sub("\\,","\\.",J317$value)
J317$value=as.numeric(J317$value)
J317$name=as.factor(J317$name)
J317$Vanus=as.factor(J317$Vanus)
J317$Peretüüp=as.factor(J317$Peretüüp)

levels(J317$Peretüüp)=c("Kahe sünnivanemaga pere", "Kasuvanemaga pere","Üksikvanemaga pere")
J317$name=factor(J317$name,levels(J317$name)[order(c(2,1,4,3))])
J317$value=round(J317$value,1)
J317$value[7]=8.8
J317$value[19]=9.3
J317$value[20]=7.9
J317$silt=as.character(J317$value)
J317$silt[17]="9.0"
J317$silt[24]="7.0"

#joonis
ggplot(J317)+
  facet_grid(~Peretüüp,scales="free")+
  geom_col(aes(x=Vanus,y=value,fill=name),pos=position_dodge(0.9),width=0.7)+
  geom_label(aes(x=Vanus, y=value, label=silt,group=name),pos=position_dodge(1),cex=2.7)+
  theme_minimal()+
  theme(legend.position = "bottom")+
  scale_fill_manual(values=c("#1E272E","#6666cc","#0069AD","#4db3d9","#81DBFE","#e0e8d6"))+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  theme(strip.text.x=element_text(color="#668080"))+
  scale_y_continuous(limits=c(0,10))+
  theme(legend.title = element_blank())+
  guides(fill = guide_legend(nrow=2,byrow = TRUE))+
  ylab("")+
  xlab("")






